package app.navigation;

import app.components.label.ValidationLabel;
import com.vaadin.flow.router.HasUrlParameter;

import java.util.ArrayList;
import java.util.List;

public abstract class Navigation implements HasUrlParameter<String> {
    protected String route;

    protected final List<Runnable> runnablesToBeRunAfterSelection = new ArrayList<>();

    protected final ValidationLabel validationLabel = new ValidationLabel();

    protected boolean editFlag = false;

    public final void setRoute(String route) {
        this.route = route;
    }

    public final ValidationLabel getValidationLabel() {
        return validationLabel;
    }

    public abstract String getWildcardParam();

    protected final String getRoute() {
        if (route != null) return route;
        throw new IllegalStateException("Route must be set!");
    }

    protected void doPostSelectionStuff() {
        validationLabel.setValid(true);
        updateUrl();
        runnablesToBeRunAfterSelection.forEach(Runnable::run);
    }

    protected abstract void updateUrl();

    public boolean editFlag() {
        return editFlag;
    }

    public void setEditFlag(boolean editFlag) {
        if (editFlag != this.editFlag) {
            this.editFlag = editFlag;
            updateUrl();
            runnablesToBeRunAfterSelection.forEach(Runnable::run);
        }
    }

}