package app.navigation.player;

import app.data.service.PlayerService;
import app.data.service.SeasonService;
import app.navigation.NavigationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PlayerNavigationService implements NavigationService<PlayerNavigation> {

    private final SeasonService seasonService;
    private final PlayerService playerService;

    public PlayerNavigationService(@Autowired PlayerService playerService,
                                   @Autowired SeasonService seasonService) {
        this.playerService = playerService;
        this.seasonService = seasonService;
    }

    public PlayerNavigation getNewNavigation() {
        return new PlayerNavigation(playerService, seasonService);
    }
}
