package app.navigation.player;

import com.vaadin.flow.router.WildcardParameter;
import org.springframework.lang.NonNull;

import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

class PlayerNavigationUtils {
    private PlayerNavigationUtils() {
    }

    @NonNull
    static Map<PlayerNavigationLevel, Optional<String>> getParameterMap(@WildcardParameter String param) {
        Map<PlayerNavigationLevel, Optional<String>> map = new HashMap<>();
        String[] params = param.split("/");
        if (params.length >= 1) map.put(PlayerNavigationLevel.PLAYER, Optional.of(params[0]));
        if (params.length >= 2) map.put(PlayerNavigationLevel.SEASON, Optional.of(params[1]));

        map.putIfAbsent(PlayerNavigationLevel.PLAYER, Optional.empty());
        map.putIfAbsent(PlayerNavigationLevel.SEASON, Optional.empty());
        return map;
    }
}
