package app.navigation.player.components;

import app.navigation.player.PlayerNavigation;
import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;

public class PlayerNavigationHeader extends HorizontalLayout {

    private final PlayerNavigation playerNavigation;

    private final Label seasonLabel = new Label("Season:");
    private final Label playerLabel = new Label("Player:");

    public PlayerNavigationHeader(PlayerNavigation playerNavigation) {
        this.playerNavigation = playerNavigation;
        defineLayout();
        configureChildren();
    }

    private void defineLayout() {
        setWidthFull();
        setAlignItems(Alignment.CENTER);
        setJustifyContentMode(JustifyContentMode.END);
    }

    private void configureChildren() {
        removeAll();
        add(playerLabel, playerNavigation.getPlayerSelect());
        add(seasonLabel, playerNavigation.getSeasonSelect());
    }
}
