package app.navigation.regular.components;

import app.navigation.AbstractNavigationHeader;
import app.navigation.Navigation;
import app.navigation.regular.RegularNavigation;
import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.orderedlayout.FlexComponent;

public class RegularNavigationHeader extends AbstractNavigationHeader<RegularNavigation> {

    private final Label seasonLabel = new Label("Season:");
    private final Label matchdayLabel = new Label("Matchday:");
    private final Label matchLabel = new Label("Match:");

    public RegularNavigationHeader(Navigation navigation) {
        super(navigation);
    }

    private void defineLayout() {
        setWidthFull();
        setAlignItems(FlexComponent.Alignment.CENTER);
        setJustifyContentMode(FlexComponent.JustifyContentMode.END);
    }

    @Override
    protected void defineChildren() {
        removeAll();
        if (navigation.seasonEnabled()) {
            add(seasonLabel, navigation.getSeasonSelect());
        }
        if (navigation.matchdayEnabled()) {
            add(matchdayLabel, navigation.getMatchdaySelect());
        }
        if (navigation.matchEnabled()) {
            add(matchLabel, navigation.getMatchSelect());
        }
    }
}
