package app.views.matchday;

import app.navigation.regular.RegularNavigationLevel;
import app.navigation.regular.RegularNavigationService;
import app.views.main.MainView;
import app.views.matchday.components.MatchdayCard;
import app.views.navigation.NavigationViewBase;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;
import org.springframework.beans.factory.annotation.Autowired;

@CssImport("app/views/matchday/matchday-view.css")
@Route(value = "matchday", layout = MainView.class)
@PageTitle("Schachliga DACH - Results - Matchdays")
public class MatchdayView extends NavigationViewBase {

    private MatchdayCard matchdayCard;

    public MatchdayView(@Autowired RegularNavigationService regularNavigationService) {
        super(regularNavigationService, "matchday", RegularNavigationLevel.MATCHDAY);

        addClassName("matchday-view");

        configureLayout();
    }

    ////////////
    // LAYOUT //
    ////////////

    private void configureLayout() {
        matchdayCard = new MatchdayCard(navigation);
        add(matchdayCard);
    }

    /////////////
    // CONTENT //
    /////////////

    @Override
    protected void configureContent() {
        matchdayCard.configureContent();
    }
}
